CVE-2005-0162
CVSS7.2
发布时间 :2005-01-26 00:00:00
修订时间 :2008-09-05 16:45:29
NMCOS    

[原文]Stack-based buffer overflow in the get_internal_addresses function in the pluto application for Openswan 1.x before 1.0.9, and Openswan 2.x before 2.3.0, when compiled with XAUTH and PAM enabled, allows remote authenticated attackers to execute arbitrary code.


[CNNVD]Openswan get_internal_addresses 堆栈溢出漏洞(CNNVD-200501-279)

        Openswan是一款Linux系统下的IPSEC实现,基于FreeS/WAN项目。
        Openswan 1.x中1.0.9之前版本及2.x中2.3.0之前版本的get_internal_addresses函数存在堆栈溢出漏洞。
        当Openswan以支持XAUTH和PAM编译时,远程经认证的攻击者可利用此漏洞执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:openswan:openswan:2.3.0Openswan 2.3.0
cpe:/a:openswan:openswan:1.0.9

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0162
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0162
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200501-279
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/19078
(VENDOR_ADVISORY)  XF  openswan-xauth-pam-bo(19078)
http://www.openswan.org/support/vuln/IDEF0785/
(VENDOR_ADVISORY)  CONFIRM  http://www.openswan.org/support/vuln/IDEF0785/
http://www.idefense.com/application/poi/display?id=190&type=vulnerabilities
(VENDOR_ADVISORY)  IDEFENSE  20050126 Openswan XAUTH/PAM Buffer Overflow Vulnerability
http://www.securityfocus.com/bid/12377
(UNKNOWN)  BID  12377
http://www.redhat.com/archives/fedora-announce-list/2005-January/msg00103.html
(UNKNOWN)  FEDORA  FEDORA-2005-082
http://www.osvdb.org/13195
(UNKNOWN)  OSVDB  13195
http://securitytracker.com/id?1013014
(UNKNOWN)  SECTRACK  1013014
http://secunia.com/advisories/14062
(UNKNOWN)  SECUNIA  14062
http://secunia.com/advisories/14038
(UNKNOWN)  SECUNIA  14038

- 漏洞信息

Openswan get_internal_addresses 堆栈溢出漏洞
高危 缓冲区溢出
2005-01-26 00:00:00 2005-10-20 00:00:00
远程  
        Openswan是一款Linux系统下的IPSEC实现,基于FreeS/WAN项目。
        Openswan 1.x中1.0.9之前版本及2.x中2.3.0之前版本的get_internal_addresses函数存在堆栈溢出漏洞。
        当Openswan以支持XAUTH和PAM编译时,远程经认证的攻击者可利用此漏洞执行任意代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://www.openswan.org/code/

- 漏洞信息

13195
Openswan XAUTH/PAM get_internal_addresses() Function Remote Overflow
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

- 时间线

2005-01-26 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Openswan has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Xelerance Corporation Openswan XAUTH/PAM Remote Buffer Overflow Vulnerability
Boundary Condition Error 12377
Yes No
2005-01-26 12:00:00 2009-07-12 10:06:00
The individual who discovered this issue wishes to remain anonymous. iDEFENSE disclosed this issue.

- 受影响的程序版本

Openswan Openswan 2.2
Openswan Openswan 2.1.6
Openswan Openswan 2.1.5
+ Red Hat Fedora Core3
Openswan Openswan 2.1.4
Openswan Openswan 2.1.2
Openswan Openswan 2.1.1
Openswan Openswan 1.0.8
Openswan Openswan 1.0.7
Openswan Openswan 1.0.6
Openswan Openswan 1.0.5
Openswan Openswan 1.0.4
Openswan Openswan 2.3
Openswan Openswan 1.0.9

- 不受影响的程序版本

Openswan Openswan 2.3
Openswan Openswan 1.0.9

- 漏洞讨论

A remote buffer overflow vulnerability reportedly affects Xelerance Corporation Openswan. This issue is due to a failure of the application to properly validate the length of user-supplied strings prior to copying them into finite process buffers.

It should be noted that Openswan is only affected by this issue when it is compiled with XAUTH and PAM support, which is not the default configuration.

An attacker may leverage this issue to execute arbitrary code with the privileges of the affected application; this may facilitate unauthorized access or privilege escalation.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

The vendor has released upgrades dealing with this issue.

Fedora advisory FEDORA-2005-082 is available to address this issue in Fedora Core 3. Please see the referenced advisory for more information.


Openswan Openswan 1.0.4

Openswan Openswan 1.0.5

Openswan Openswan 1.0.6

Openswan Openswan 1.0.7

Openswan Openswan 1.0.8

Openswan Openswan 2.1.1

Openswan Openswan 2.1.2

Openswan Openswan 2.1.4

Openswan Openswan 2.1.5

Openswan Openswan 2.1.6

Openswan Openswan 2.2

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站